# Freyr

[![PyPI - Python](https://img.shields.io/pypi/pyversions/freyr.svg?logo=Python&label=Python&style=flat-square)](https://pypi.python.org/pypi/freyr/)
[![PyPI - Status](https://img.shields.io/pypi/status/freyr.svg?logo=Python&label=Status&style=flat-square)](https://pypi.python.org/pypi/freyr/)
[![PyPI - Version](https://img.shields.io/pypi/v/freyr.svg?logo=Python&label=Version&style=flat-square)](https://pypi.python.org/pypi/freyr/)
[![PyPI - License](https://img.shields.io/pypi/l/freyr.svg?logo=Python&label=License&style=flat-square)](https://opensource.org/licenses/MIT)

[![Hatch](https://img.shields.io/badge/Packaging-Hatch-4051b5?style=flat-square)](https://github.com/pypa/hatch)
[![Pre-Commit](https://img.shields.io/badge/Pre--Commit-Enabled-informational?style=flat-square&logo=pre-commit)](https://github.com/pre-commit/pre-commit)
[![Black](https://img.shields.io/badge/Code--Style-Black-000000?style=flat-square)](https://github.com/psf/black)
[![Ruff](https://img.shields.io/badge/Linter-Ruff-informational?style=flat-square)](https://github.com/charliermarsh/ruff)

[![Github - Contributors](https://img.shields.io/github/contributors/Buried-In-Code/Freyr?logo=Github&label=Contributors&style=flat-square)](https://github.com/Buried-In-Code/Freyr/graphs/contributors)

Tracks temperature and humidity readings and graphs the results in a web dashboard.\
Collects readings using Raspberry Pi Pico W and a DHT22 Sensor, _See [freyr-device](freyr-device/) for details._

## Installation

### From Github

1. Make sure you have a supported version of [Python](https://www.python.org/) installed: `python --version`
2. Clone the repo: `git clone https://github.com/Buried-In-Code/Freyr`
3. Install the project: `pip install .`

### Using Pipx

Install from PyPI

```sh
pipx install Freyr
```

or directly from GitHub

```sh
pipx install git+https://github.com/Buried-In-Code/Freyr.git
```

## Execution

```sh
Freyr
```

## Socials

[![Social - Fosstodon](https://img.shields.io/badge/%40BuriedInCode-teal?label=Fosstodon&logo=mastodon&style=for-the-badge)](https://fosstodon.org/@BuriedInCode)\
[![Social - Matrix](https://img.shields.io/badge/%23The--Dev--Environment-teal?label=Matrix&logo=matrix&style=for-the-badge)](https://matrix.to/#/#The-Dev-Environment:matrix.org)
